document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_23900 | ---
+++
@@ -1,11 +1,14 @@
+# This shellscript generates goreleaser.yaml with ldflags set to the first argument.
cat <<EOF
build:
main: ./cmd/
ldflags: "$1"
goos:
- linux
+ - darwin
goarch:
- amd64
+ - 386
archive:
name_template: "{{.Binary}}-{{.Version}}-{{.Os}}-{{.Arch}}"
replace... | bash |
d_bash_23901 | ---
+++
@@ -7,8 +7,6 @@
# git pull origin ccpcs000536
function doIt() {
- # rsync contents of HOME to $HOME
- rsync -av ./HOME/ ~/
# ensure VIM temp directories exist
mkdir -p "${XDG_DATA_HOME}"/vim/{backups,swaps,undo}
# ensure IPython/Jupyter temp directories exist | bash |
d_bash_23902 | ---
+++
@@ -4,4 +4,5 @@
curl -o $LLVM_TAR https://s3.amazonaws.com/asset.rubini.us/prebuilt/$LLVM_TAR \
&& mkdir -p vendor/llvm \
- && tar -C vendor/llvm -xjf $LLVM_TAR
+ && tar -C vendor/llvm -xjf $LLVM_TAR \
+ && mv vendor/llvm/include vendor/llvm/Release/ | bash |
d_bash_23903 | ---
+++
@@ -29,5 +29,5 @@
echo Creating Kapua from template ...
$OC create configmap data-simulator-config --from-file=ksim.simulator.configuration=simulator/generators.json -n "$OPENSHIFT_PROJECT_NAME"
-$OC new-app -n "$OPENSHIFT_PROJECT_NAME" -f iot-demo.yml -p IMAGE_VERSION=${IMAGE_VERSION}
+$OC new-app -n "$O... | bash |
d_bash_23904 | ---
+++
@@ -7,11 +7,11 @@
fi
-cat ${HOME}/.zshrc | grep -e '^alias' | awk -F'=' 'BEGIN {
+awk -F= 'BEGIN {
print "ALIAS | COMMAND";
print "--------------------------------";
}
- {
+ /^alias/ {
# replace all multi-spaces with a single space
gsub(/\... | bash |
d_bash_23905 | ---
+++
@@ -7,7 +7,7 @@
set -x
MAKE="make --jobs=$NUM_THREADS --keep-going"
-CONFIGURE="../configure --with-gcc=`which g++-4.9`"
+CONFIGURE="../configure --with-gcc=/usr/bin/g++-4.9"
if $BUILD_DEBUG
then | bash |
d_bash_23906 | ---
+++
@@ -1,8 +1,6 @@
#!/bin/bash
# Usage: ./import-db.sh { ARCHIVE_NAME } { PG_RESTORE_ARGS }
-
-set -e
if test -z "$1"
then
@@ -46,3 +44,9 @@
end_datetime=$(date -u +"%D %T %Z")
echo "[data import] Ended at $end_datetime"
+
+if [ "$SWALLOW_ERRORS_ON_RESTORE" = "1" ]; then
+ exit 0
+else
+ exit $?
+f... | bash |
d_bash_23907 | ---
+++
@@ -9,7 +9,7 @@
# Setup Homebrew Packages #
###############################################################################
-PACKAGES="coreutils screen proctools"
+PACKAGES="coreutils proctools hub"
brew install $PACKAGES
| bash |
d_bash_23908 | ---
+++
@@ -1,7 +1,7 @@
export FZF_ROOT="$HOME/bin/fzf"
-. ~/homebrew/Cellar/fzf/0.12.0/shell/completion.zsh
-. ~/homebrew/Cellar/fzf/0.12.0/shell/key-bindings.zsh
+. ~/homebrew/Cellar/fzf/*/shell/completion.zsh
+. ~/homebrew/Cellar/fzf/*/shell/key-bindings.zsh
alias gco='$FZF_ROOT/pass_thru.sh mirror_repo'
al... | bash |
d_bash_23909 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
TOOLS=`dirname $0`
VENV=$TOOLS/../.venv
-source $VENV/bin/activate && $@
+source $VENV/bin/activate && "$@" | bash |
d_bash_23910 | ---
+++
@@ -30,7 +30,7 @@
cd ../initial
-mvn clean package
+mvn clean compile
ret=$?
if [ $ret -ne 0 ]; then
exit $ret | bash |
d_bash_23911 | ---
+++
@@ -7,7 +7,7 @@
#
# Run ./set-defaults.sh and you'll be good to go.
-# Disable press-and-hold for keys in favor of key repeat
+# Disable press-and-hold for keys in favor of key repeat.
defaults write -g ApplePressAndHoldEnabled -bool false
# Use AirDrop over every interface. srsly this should be a def... | bash |
d_bash_23912 | ---
+++
@@ -23,13 +23,12 @@
fi
chmod 600 $fl
-#sudo apt-get -y install build-essential
-sudo pip install python-novaclient
# - create the systest virtualenv
rm -rf systest
virtualenv systest
source systest/bin/activate
+pip install python-novaclient
# - install system tests
branch="master" | bash |
d_bash_23913 | ---
+++
@@ -15,3 +15,33 @@
cd $1
}
+#
+# Get the value of an alias.
+#
+# Arguments:
+# 1. alias - The alias to get its value from
+# STDOUT:
+# The value of alias $1 (if it has one).
+# Return value:
+# 0 if the alias was found,
+# 1 if it does not exist
+#
+function alias_value() {
+ alias "$1"... | bash |
d_bash_23914 | ---
+++
@@ -1,6 +1,4 @@
#!/bin/bash
-
-OPT=":"$OPT
if [ $PLATFORM == clj ]; then
lein do clean, javac, test | bash |
d_bash_23915 | ---
+++
@@ -6,8 +6,6 @@
#SBATCH --mem-per-cpu={PASS0/MEMORY} # Memory per cpu in MB (see also --mem)
#SBATCH -o {JOB_DIRECTORY}/log_copy_video_%j.txt # File to which stdout and stderr will be written
#SBATCH --job-name=C_{NAME}
-#SBATCH --mail-type=NONE
-#SBATCH --mail-user={NOTIFICATION_EMAIL}
hostname
| bash |
d_bash_23916 | ---
+++
@@ -21,7 +21,7 @@
sudo pip install --upgrade twine
# Copy and rename to tf_nightly
-for f in $(ls "${TF_FILE_DIR}"/tf_nightly_cpu*dev*cp3*-cp3*-win_amd64.whl); do
+for f in $(ls "${TF_FILE_DIR}"/tf_nightly_gpu*dev*cp3*-cp3*-win_amd64.whl); do
copy_to_new_project_name "${f}" tf_nightly
done
| bash |
d_bash_23917 | ---
+++
@@ -19,7 +19,18 @@
wget ${REMOTEDIR}/$f
fi
done < ${FILELIST}
+
echo "INFO: Verifying MD5SUMs in ${FILELIST}"
md5sum -c ${FILELIST}
+echo "INFO: Listing downloaded files"
+fl=""
+while IFS='' read -r line || [[ -n "$line" ]]; do
+ # echo DEBUG: line=$line
+ [[ $line = \#* ]] && contin... | bash |
d_bash_23918 | ---
+++
@@ -10,3 +10,7 @@
alias ssh='ssh -X'
alias wchere='cat $(find .) 2>/dev/null | wc'
alias eg='env | grep -i'
+alias cdd='cd ..'
+alias cddd='cd ../..'
+alias cdddd='cd ../../..'
+alias cddddd='cd ../../../..' | bash |
d_bash_23919 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/sh
+cd ./vendor/andyvr/stripe-payments
rsync -Rarz admin ../../../
rsync -Rarz catalog ../../../
rm -Rf vendor | bash |
d_bash_23920 | ---
+++
@@ -14,8 +14,18 @@
}
_cdp() {
- local wd="${COMP_WORDS[COMP_CWORD]:-$(pwd)}"
- COMPREPLY=( "$(dirname "$wd")" )
+ local cur="${COMP_WORDS[COMP_CWORD]}"
+ case "$cur" in
+ '')
+ COMPREPLY=( "$(pwd)" )
+ ;;
+ */*)
+ COMPREPLY=( "$(dirname "$cur")" )
+ ;;
+ *)
+ COMPREPL... | bash |
d_bash_23921 | ---
+++
@@ -36,7 +36,7 @@
for t in $TESTS; do
echo
greyly echo "---= Running $t =---"
- (. $t)
+ . $t
# Report test runtime when running on circle, to help scheduler
if [ -n "$CIRCLECI" ]; then | bash |
d_bash_23922 | ---
+++
@@ -9,10 +9,7 @@
TestGoogleCloudStorage:
TestDropbox:
TestAmazonCloudDrive:
-"
-
-REMOTES="
-TestAmazonCloudDrive:
+TestOneDrive:
"
function test_remote { | bash |
d_bash_23923 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-dnf install rxvt-unicode-256color
+dnf -y install rxvt-unicode-256color
# set up conf
if [[ -f $SCRIPT_DIR/.Xresources ]] | bash |
d_bash_23924 | ---
+++
@@ -1,7 +1,7 @@
if [[ $CIRCLE_TAG ]]; then
export ARTIFACT_NAME="$(npm run version --silent)"
else
- export ARTIFACT_NAME="$(npm run version --silent).circleci-$CIRCLE_BUILD_NUM"
+ export ARTIFACT_NAME="$(npm run version --silent).$CIRCLE_BUILD_NUM"
fi
if [[ $CIRCLE_TAG =~ ^[0-9]+\.[0-9]+\.[0-9]+-r... | bash |
d_bash_23925 | ---
+++
@@ -6,5 +6,5 @@
SRC=ftp://ftp.freedesktop.org/pub/mesa/11.0.4/mesa-11.0.4.tar.xz
DIR=mesa-11.0.4
-CONFIGURE_ARGS="--host=i386-elf-redox --prefix=$PREFIX"
+CONFIGURE_ARGS="--host=i386-elf-redox --prefix=$PREFIX --enable-osmesa --disable-driglx-direct --disable-dri --with-gallium-drivers=swrast"
autoconf_t... | bash |
d_bash_23926 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-REQUIRED_NODE_VERSION="7.8"
+REQUIRED_NODE_VERSION="7.6"
CURRENT_NODE_VERSION=$(node -v | sed 's/^v//' | sed --posix 's/\([0-9]\{1,\}\.[0-9]\{1,\}\).*/\1/')
UI_HOST=$(node cli/getConfigVal.js ui.host) | bash |
d_bash_23927 | ---
+++
@@ -25,7 +25,9 @@
# Run remaining Python style checks and all tests
./build-support/python/checkstyle-check
-./pants test.pytest --junit-xml-dir="$PWD/dist/test-results" src/test/python:: -- -v
+# AURORA-1972: As a workaround for spuriously failing tests, test different
+# targets in isolation
+./pants te... | bash |
d_bash_23928 | ---
+++
@@ -9,6 +9,6 @@
if ! git diff --quiet -- "${cmdref_dir}" ; then
git --no-pager diff "${cmdref_dir}"
- echo "HINT: to fix this, run 'make -C Documentation update-cmdref ; git commit Documentation/cmdref --message \"docs: Update cmdref\"'"
+ echo "HINT: to fix this, run 'make -C Documentation upda... | bash |
d_bash_23929 | ---
+++
@@ -8,7 +8,7 @@
RELEASE_VERSION=`ruby scripts/get-release-version.rb $GO_PIPELINE_COUNTER`
CHANGELOG=`ruby scripts/get-release-changelog.rb CHANGELOG.md`
-TAG="jumi-$RELEASE_VERSION"
+TAG="v$RELEASE_VERSION"
mkdir build
echo "$RELEASE_VERSION" > build/version | bash |
d_bash_23930 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/bash -xe
+
+RETRY_LIMIT=20
# Keep fetching until this uuid to appear in the logs before uploading
END_UUID=$(cat /proc/sys/kernel/random/uuid)
@@ -9,15 +11,25 @@
rm -f /tmp/console.txt /tmp/console.html
# Get the plain text version (does not contain links or timestamps)
+TRIES=... | bash |
d_bash_23931 | ---
+++
@@ -4,11 +4,11 @@
exit
fi
DIR=$(dirname $1)/$(basename $1)
-for f in `aws s3 ls s3://t-ip$DIR/ | awk '{print $4}'`;
+for f in `/usr/local/bin/aws s3 ls s3://t-ip$DIR/ | awk '{print $4}'`;
do
if [ ! -f /hdfs$DIR/$f ]; then
echo $f
- aws s3 cp s3://t-ip$DIR/$f /tmp/
+ /usr/local/bin/aws s3 cp... | bash |
d_bash_23932 | ---
+++
@@ -1,3 +1,13 @@
#!/bin/sh
-echo -lsimple2d `sdl2-config --static-libs` -lSDL2_image -lSDL2_mixer -lSDL2_ttf
+LDFLAGS=""
+platform="unknown"
+unamestr=$(uname)
+if [[ "$unamestr" == 'Darwin' ]]; then
+ platform='darwin'
+elif [[ "$unamestr" == 'Linux' ]]; then
+ platform='linux'
+ LDFLAGS='-lGL'
+fi
... | bash |
d_bash_23933 | ---
+++
@@ -8,8 +8,15 @@
if [[ -z "${name_filter}" ]] || [[ ${secret_name} == *"${name_filter}"* ]]; then
. "${taito_cli_path}/util/secret-by-index.sh"
if [[ "${secret_method}" == "manual" ]]; then
+ echo
echo "New secret for ${secret_name}:"
read -r -s secret_value
+ echo "New se... | bash |
d_bash_23934 | ---
+++
@@ -7,10 +7,38 @@
# The containers are created on the host using an ansible playbook,
# and destroyed using a different playbook.
+
+
+function create {
+ ansible-playbook testcontainers-create.yml
+}
+
+function destroy {
+ ansible-playbook testcontainers-destroy.yml
+}
+
+function recreate {
+ destroy
+... | bash |
d_bash_23935 | ---
+++
@@ -13,7 +13,7 @@
curl -sSL https://get.docker.com/ | sh
# Install Docker Compose
-curl -sSL https://github.com/docker/compose/releases/download/1.5.2/docker-compose-`uname -s`-`uname -m` > /usr/local/bin/docker-compose
+curl -sSL https://github.com/docker/compose/releases/download/1.6.2/docker-compose-`u... | bash |
d_bash_23936 | ---
+++
@@ -9,7 +9,7 @@
last_cmd=ls
for arg
do
- eval $cmd &> /dev/null
+ eval $cmd
cmd=$assert_type
assert_type=$assert_value
assert_value=$arg | bash |
d_bash_23937 | ---
+++
@@ -1,6 +1,16 @@
#!/usr/bin/env bash
echo "Copying data to Scorecard"
+
+# ensure we're not copying an empty file
+num_lines=`cat /home/numbergen/gbm-IATI-Dashboard/web/summary_stats.csv | wc -l`
+if [ $num_lines -lt 2 ]
+then
+ echo "Not enough data to copy"
+ exit 1
+fi
+
# copy relevant generate... | bash |
d_bash_23938 | ---
+++
@@ -1,4 +1,4 @@
-export EDITOR=/usr/bin/env vim
+export EDITOR='/usr/bin/env vim'
export CLICOLOR='yes'
export TERM=xterm-256color
| bash |
d_bash_23939 | ---
+++
@@ -16,3 +16,7 @@
#Ubuntu 13.10
cd ../ubuntu-13.10-server-amd64
packer build --only=virtualbox template.json
+
+#FreeBSD 9.1
+cd ../freebsd-9.1-amd64
+packer build --only=virtualbox template.json | bash |
d_bash_23940 | ---
+++
@@ -5,3 +5,6 @@
# gitsh
alias gs='gitsh'
+
+# tmux
+alias tsk='tmux send-keys' | bash |
d_bash_23941 | ---
+++
@@ -17,6 +17,9 @@
else
go get -t -v -d "$CORETH_PKG/..."
fi
+cd "$CORETH_PATH"
+git branch tags/v0.1.0
+cd -
GECKO_PKG=github.com/ava-labs/gecko
GECKO_PATH="$GOPATH/src/$GECKO_PKG" | bash |
d_bash_23942 | ---
+++
@@ -7,4 +7,5 @@
dx86cl64 --eval '(load "kilns.asd")' \
--eval '(ql:quickload "kilns")' \
--eval '(asdf:test-system :kilns)'
+ --eval '(quit)'
fi | bash |
d_bash_23943 | ---
+++
@@ -17,4 +17,4 @@
mkdir -p "$BIN_PATH" "$SHARE_PATH"
install -p bin/* "$BIN_PATH"
-install -p share/python-build/* "$SHARE_PATH"
+cp -RPp share/python-build/* "$SHARE_PATH" | bash |
d_bash_23944 | ---
+++
@@ -22,7 +22,8 @@
cd tests/data
# Known test data files to keep
-a=$(git ls-tree -r master --name-only | sort)
+c=$(git rev-parse --abbrev-ref HEAD)
+a=$(git ls-tree -r $c --name-only | sort)
# All files in test/data
b=$(ls | sort) | bash |
d_bash_23945 | ---
+++
@@ -29,6 +29,6 @@
for urlfile in $(ls METADATA/*/url); do
pkg=$(basename $(dirname $urlfile))
cd $pkg
- git status | grep -q "up-to-date" || echo "$pkg not up-to-date"
+ git status | grep -q "up[- ]to[- ]date" || echo "$pkg not up to date"
cd ..
done | bash |
d_bash_23946 | ---
+++
@@ -8,7 +8,7 @@
cd build
cmake $CMAKE_OPTION -DCMAKE_BUILD_TYPE:STRING=Debug ..
make VERBOSE=1 $MAKE_OPTION
-make doc
+make $MAKE_OPTION doc
# Run tests
../tools/highlight-ctest.py "make test ARGS='-V'" | bash |
d_bash_23947 | ---
+++
@@ -23,5 +23,5 @@
# Build and install OpenMC executable
python tools/ci/travis-install.py
-# Install Python API
-pip install .[test]
+# Install Python API in editable mode
+pip install -e .[test] | bash |
d_bash_23948 | ---
+++
@@ -2,5 +2,5 @@
mkdir -p data
date
-cwltool --outdir ./data workflows/exomeseq.cwl samples/exomeseq.json | tee exomeseq-$(date +"%Y%m%d-%k%M%S").log
+cwltool --debug --outdir ./data workflows/exomeseq.cwl samples/exomeseq.json | tee exomeseq-$(date +"%Y%m%d-%k%M%S").log
date | bash |
d_bash_23949 | ---
+++
@@ -33,7 +33,7 @@
cbs list-tagged --latest cloud7-openstack-$1-release | sort | awk '{ print $1 }' > release
cbs list-tagged --latest cloud7-openstack-$1-testing | sort | awk '{ print $1 }' > testing
- diff --unified=0 --minimal release testing
+ diff --unified=0 --minimal release testing | ... | bash |
d_bash_23950 | ---
+++
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
cd "$(dirname "${BASH_SOURCE}")"
function doIt() {
- rsync --exclude ".git/" --exclude ".DS_Store" --exclude "bootstrap.sh" \
+ rsync --exclude ".git/" --exclude ".gitignore" --exclude ".DS_Store" --exclude "bootstrap.sh" \
--exclude "README.md" --exclude "LICENSE-MIT... | bash |
d_bash_23951 | ---
+++
@@ -1,4 +1,7 @@
#!/usr/bin/env bash
echo "if the following doesn't work, make sure you have your account set up properly with `python3 setup.py register`"
-python3 setup.py sdist upload --sign
+
+# make sure we use GnuPG 2 rather than GnuPG 1
+sudo ln "$(which gpg2)" dist/gpg
+PATH=./dist:$PATH python3 se... | bash |
d_bash_23952 | ---
+++
@@ -6,18 +6,18 @@
#
# Aliases
-rsync_cmd='rsync --verbose --progress --human-readable --compress --archive --hard-links --one-file-system'
+_rsync_cmd='rsync --verbose --progress --human-readable --compress --archive --hard-links --one-file-system'
# Mac OS X and HFS+ Enhancements
# http://www.bombich... | bash |
d_bash_23953 | ---
+++
@@ -7,5 +7,5 @@
-DCMAKE_BUILD_TYPE=Release -DCMAKE_PREFIX_PATH=$PREFIX -DCMAKE_INSTALL_PREFIX=$PREFIX \
-DCMAKE_INSTALL_LIBDIR=lib
-make
+make -j${CPU_COUNT}
make install | bash |
d_bash_23954 | ---
+++
@@ -5,9 +5,9 @@
echo Using $(cf-cli/cf --version)
-cf api $PCF_API_URI --skip-ssl-validation
-cf login -u $PCF_USERNAME -p $PCF_PASSWORD -o $PCF_ORG -s $PCF_SPACE
+./cf api $PCF_API_URI --skip-ssl-validation
+./cf login -u $PCF_USERNAME -p $PCF_PASSWORD -o $PCF_ORG -s $PCF_SPACE
echo -n Creating build... | bash |
d_bash_23955 | ---
+++
@@ -1,25 +1,10 @@
#!/bin/bash
-
-# Remove the openssl include file which conflict with the internal boringssl
-# include files
-rm -rf ${PREFIX}/include/openssl*
-
# set these so the default in setup.py are not used
export GRPC_PYTHON_LDFLAGS=""
-if [[ $(uname) == Darwin ]]; then
- # the makefile us... | bash |
d_bash_23956 | ---
+++
@@ -15,8 +15,8 @@
# export LC_ALL=en_US.UTF-8
# Ensure editor is set
-export EDITOR=vim
-export VISUAL=vim
+export EDITOR='emacsclient -nc -a gvim'
+export VISUAL='emacsclient -nc -a gvim'
# Set browser
| bash |
d_bash_23957 | ---
+++
@@ -1,8 +1,19 @@
_sqlitebiter_completion() {
+ local IFS=$'
+'
COMPREPLY=( $( env COMP_WORDS="${COMP_WORDS[*]}" \
COMP_CWORD=$COMP_CWORD \
_SQLITEBITER_COMPLETE=complete $1 ) )
return 0
}
-complete -F _sqlitebiter_completion -o default sqlitebiter;
+_sq... | bash |
d_bash_23958 | ---
+++
@@ -19,5 +19,5 @@
. ./utils/resty -W "http://127.0.0.1:12151" -H "Accept: application/json" -H "Content-Type: application/json" -u ${fuser}:${fpass}
# Check the reply of this REST query
-POST /sysadm/lifepreserver '{ "action":"list-cron" }' -v
+POST /sysadm/lifepreserver '{ "action":"listcron" }' -v
| bash |
d_bash_23959 | ---
+++
@@ -1,51 +1,7 @@
#!/usr/bin/env bash
isCommand() {
- for cmd in \
- "about" \
- "archive" \
- "browse" \
- "check-platform-reqs" \
- "clear-cache" \
- "clearcache" \
- "config" \
- "create-project" \
- "depends" \
- "diagnose" \
- "dump-autoload" \
- "dumpautoload" \
-... | bash |
d_bash_23960 | ---
+++
@@ -2,11 +2,6 @@
set -e
-mkdir doc
-
for crate in $(echo phf_shared phf_macros phf phf_codegen phf_generator); do
- rm -r $crate/target
- mkdir -p $crate/target
- (cd $crate/target && ln -s ../../doc)
- (cd $crate && cargo doc --no-deps)
+ (cd $crate && rm -f Cargo.lock && CARGO_TARGET_DI... | bash |
d_bash_23961 | ---
+++
@@ -6,6 +6,8 @@
rm -rf ~/.config/transmission
cd "$DIR"
"$CLIENT" --download-dir . "$TORRENT" >/dev/null 2>/dev/null
+RET=$?
cat transmission-instrumentation.log.json
cd "$CURRENT"
rm -rf "$DIR"
+exit $RET | bash |
d_bash_23962 | ---
+++
@@ -3,6 +3,9 @@
docker stop minopt-cassandra 2>/dev/null
docker rm minopt-cassandra 2>/dev/null
docker run --name minopt-cassandra -p 9042:9042 -d cassandra:3.0
+docker stop profile-service-cass
+docker rm profile-service-cass
+docker run --name profile-service-cass --link minopt-cassandra:cassandra_profil... | bash |
d_bash_23963 | ---
+++
@@ -3,7 +3,7 @@
cd $JHIPSTER_SAMPLES/$JHIPSTER
if [ $JHIPSTER != "app-gradle" ]; then
mvn &
- sleep 120
+ sleep 180
curl --retry 10 --retry-delay 5 -I http://localhost:8080/ | grep "HTTP/1.1 200 OK"
fuser -k 8080/tcp ; sleep 10
else | bash |
d_bash_23964 | ---
+++
@@ -40,3 +40,6 @@
bindkey '^[[3~' delete-char
bindkey '^[^N' newtab
bindkey '^?' backward-delete-char
+
+export EDITOR=/usr/local/bin/subl
+export VISUAL=/usr/local/bin/subl | bash |
d_bash_23965 | ---
+++
@@ -1,6 +1,19 @@
+if [ -z "$1" ]; then
+ echo "Usage: $0 <num_cells>"
+ echo " <num_cells> must be one of '10', '20', '50', or '100'"
+ exit 1
+fi
+
set -e -x -u
num_cells=$1
cd ~/workspace/diego-release
-./scripts/generate-deployment-manifest aws ../cf-release ~/workspace/deployments-runtime... | bash |
d_bash_23966 | ---
+++
@@ -23,7 +23,7 @@
npx ttag extract $(find ./i18n-js -type f -name '*.js' -not -path "*/pmcrypto/*" -not -path "*/core-js/*") -o "$1";
# Remove useless path
- sed -i 's|i18n-js/webpack:/||g' "$1";
+ sed -i 's|i18n-js/webpack:/||g;s| /src/app/| src/app/|g' "$1";
rm -rf "./i18n-js";
l... | bash |
d_bash_23967 | ---
+++
@@ -28,6 +28,6 @@
# repo's gh-pages branch. (All previous history on the gh-pages branch
# will be lost, since we are overwriting it.) We redirect any output to
# /dev/null to hide any sensitive credential data that might otherwise be exposed.
-git push --force --quiet "${ORIGIN}" master:gh-pages > /dev/nu... | bash |
d_bash_23968 | ---
+++
@@ -3,6 +3,10 @@
## Install fzf binary
zinit ice from"gh-r" as"program"
zinit light junegunn/fzf-bin
+# Note: Following files must be downloaded manually (for now):
+# https://raw.githubusercontent.com/junegunn/fzf/master/shell/completion.zsh
+# https://raw.githubusercontent.com/junegunn/fzf/master/shell/... | bash |
d_bash_23969 | ---
+++
@@ -12,9 +12,9 @@
trap "commit_bbl_state_dir ${bbl_state_env_repo_dir} ${BBL_STATE_DIR} ${output_dir} 'Update bosh-acceptance-env environment'" EXIT
- mkdir -p bbl-state
+ mkdir -p "bbl-state/${BBL_STATE_DIR}"
- pushd bbl-state
+ pushd "bbl-state/${BBL_STATE_DIR}"
bbl version
bbl plan >... | bash |
d_bash_23970 | ---
+++
@@ -19,8 +19,8 @@
total_no_lines=$(awk '/TOTAL/{printf("%s",$2)}' < "${report_file}")
total_no_misses=$(awk '/TOTAL/{printf("%s",$3)}' < "${report_file}")
total_no_covered=$((${total_no_lines} - ${total_no_misses}))
-echo "##teamcity[buildStatisticValue key='<CodeCoverageAbsLTotal>' value='""<${total_no_li... | bash |
d_bash_23971 | ---
+++
@@ -3,7 +3,7 @@
mkdir -p $PREFIX/bin/
cp $SRC_DIR/download_datasets.sh $PREFIX/bin/
cp $SRC_DIR/group_to_GO_abundances.sh $PREFIX/bin/
-cp $SRC_DIR/run_tests.sh $PREFIX/bin/
+chmod +x $PREFIX/bin/*
cp -r $SRC_DIR/src $PREFIX/bin/src
| bash |
d_bash_23972 | ---
+++
@@ -10,4 +10,6 @@
#Move binary to PATH
sudo mv ./kubectl /usr/local/bin/kubectl
+#Enable bash autocompletion
+echo "source <(kubectl completion bash)" >> ~/.bashrc
| bash |
d_bash_23973 | ---
+++
@@ -1,7 +1,7 @@
#BUILT INS
alias a="ls -G -p"
-alias aa="a -a"
-alias aaa="aa -l"
+alias aa="a -A"
+alias aaa="aa -l -h"
alias up="cd ../;a"
| bash |
d_bash_23974 | ---
+++
@@ -8,15 +8,17 @@
. "$bin"/chorus-config.sh
-$CHORUS_HOME/postgres/bin/pg_ctl -D ./postgres-db status | grep "is running" > /dev/null
+export PATH=$PATH:$CHORUS_HOME/bin
-if [ "$?" != 0 ]; then
+$CHORUS_HOME/postgres/bin/pg_ctl -D $CHORUS_HOME/postgres-db status | grep "is running" > /dev/null
+
+i... | bash |
d_bash_23975 | ---
+++
@@ -16,7 +16,7 @@
cd $BUILD_DIR
if [ ! -f $BUILD_DIR/nuget.exe ]; then
- wget https://nuget.org/nuget.exe -O$BUILD_DIR/nuget.exe
+ curl https://nuget.org/nuget.exe -o $BUILD_DIR/nuget.exe
fi
mono $BUILD_DIR/nuget.exe install Mono.TextTransform -OutputDirectory $BUILD_DIR/../deps | bash |
d_bash_23976 | ---
+++
@@ -1,8 +1,17 @@
+echo "You proxy is currently set to \"$http_proxy\"."
+echo "It needs to set in order to download through a firewall."
+echo "For example: \"export http://proxy.company.com:911\""
set -e
-echo "After the download, get ready to enter the root password. You should make sure your proxy is set.... | bash |
d_bash_23977 | ---
+++
@@ -2,14 +2,14 @@
echo Building latest...
git co master
-docker build -t mardambey/docker-pinot-confluent-platform:latest .
+docker build -t mardambey/pinot-confluent-platform:latest .
echo Building 1.0.1
git co 0.16-confluent-1.0.1
-docker build -t mardambey/docker-pinot-confluent-platform:0.16-confl... | bash |
d_bash_23978 | ---
+++
@@ -5,9 +5,5 @@
NODE_PATH=$(pwd)/node_modules
NODE_BIN=$(pwd)/node_modules/.bin
-if [ -d $NODE_PATH ]; then
- export PATH=$NODE_BIN:$PATH
- echo "$NODE_BIN was prepended to your PATH"
-else
- echo "Not $NODE_PATH found"
-fi
+export PATH=$NODE_BIN:$PATH
+echo "$NODE_BIN was prepended to your PATH" | bash |
d_bash_23979 | ---
+++
@@ -33,6 +33,7 @@
curl \
emacs \
git \
+git-lfs \
git-extras \
go \
grc \
@@ -40,6 +41,7 @@
hub \
jq \
keybase \
+macvim \
node \
openssl \
osquery \ | bash |
d_bash_23980 | ---
+++
@@ -4,8 +4,7 @@
#$ -N full-%(kinit)s-%(deltak)s
#$ -o %(qsublogsdir)s/full-%(kinit)s-%(deltak)s.out
#$ -e %(qsublogsdir)s/full-%(kinit)s-%(deltak)s.err
-#$ -v PATH
-#$ -v PYTHONPATH
+#$ -v PATH, PYTHONPATH, LD_LIBRARY_PATH
#$ -S /bin/bash
#Change first order file here | bash |
d_bash_23981 | ---
+++
@@ -2,7 +2,9 @@
SITE_TYPE=basic
-#rm -rf ve bin
+rm /tmp/skeleton.sql
+
+rm -rf ve bin
virtualenv --no-site-packages ve
ve/bin/python bootstrap.py
@@ -12,7 +14,7 @@
./bin/skeleton-dev-$SITE_TYPE-site migrate
./bin/skeleton-dev-$SITE_TYPE-site load_photosizes
./bin/skeleton-dev-$SITE_TYPE-site lo... | bash |
d_bash_23982 | ---
+++
@@ -10,6 +10,7 @@
brew install openjdk@11
brew install flyway
brew install go
+brew install xmlstarlet
brew cask install karabiner-elements
brew cask install alacritty
brew cask install visual-studio-code | bash |
d_bash_23983 | ---
+++
@@ -17,5 +17,5 @@
exit 0
fi
-pip3 install setuptools twine
+pip3 install setuptools twine packaging
pip3 install --pre imgtool | bash |
d_bash_23984 | ---
+++
@@ -4,7 +4,7 @@
open -a "Google Chrome" out.svg
}
-function title {
+title() {
echo -ne "\033]0;"$*"\007"
}
| bash |
d_bash_23985 | ---
+++
@@ -1,11 +1,11 @@
set -ex
-docker system prune
docker build --tag try_gluon .
docker rm --force try_gluon_running
RUST_LOG=info docker run \
+ -rm
-p 80:8080 \
--name try_gluon_running \
--env RUST_LOG try_gluon \ | bash |
d_bash_23986 | ---
+++
@@ -4,12 +4,12 @@
# 2012/12/22
# Iterate over the given albums
-for ALBUM in "$@"; do
- # Establish the album url and hash
- if [ -n "`curl -sI "http://imgur.com/a/$ALBUM" | head -n 1 | grep 200`" ]; then
+for ALBUM in $@; do
+ # Determine the album URL and hash
+ if [[ -n "$(curl -sI "http://... | bash |
d_bash_23987 | ---
+++
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-set -e -x
+set -e
: ${AWS_ACCESS_KEY_ID:?}
: ${AWS_SECRET_ACCESS_KEY:?}
@@ -18,7 +18,6 @@
dev_release=$(echo $PWD/bosh-cpi-release/*.tgz)
pushd promoted/repo
- set +x
echo creating config/private.yml with blobstore secrets
cat > config/private.yml << EOF
... | bash |
d_bash_23988 | ---
+++
@@ -13,7 +13,7 @@
fi
if [ \( ! -r $1 \) -o \( ! -x $1 \) ]; then
- echo "$0: ERROR: can not traverse input article_filename" >&2
+ echo "$0: ERROR: can not traverse input directory" >&2
exit 1
fi
@@ -21,8 +21,9 @@
for article_filename in `find $1 -maxdepth 1 -type d`; do
if [ -r ${article_filena... | bash |
d_bash_23989 | ---
+++
@@ -6,6 +6,6 @@
CURR=$PWD
cd /var/grassroot
-nohup java -Dspring.profiles.active=production -jar grassroot-webapp/target/grassroot-webapp-1.0-SNAPSHOT.jar `cat /home/ubuntu/cmd_line_arguments` > grassroot-app.log 2>&1 &
+nohup java -Dspring.profiles.active=production -Dorg.apache.activemq.SERIALIZABLE_... | bash |
d_bash_23990 | ---
+++
@@ -18,7 +18,7 @@
time pg_restore --clean --if-exists --dbname lmfdb $knowlsdump
rm -rf $userdb $knowls
psql --dbname lmfdb --command "REVOKE INSERT, UPDATE, DELETE on kwl_deleted, kwl_history, kwl_knowls FROM webserver;"
- psql --dbname lmfdb --command "REVOKE SELECT, UPDATE, INSERT, DELETE ON ALL... | bash |
d_bash_23991 | ---
+++
@@ -22,9 +22,9 @@
# -----------------------------------------------------------------------------
# Call out to build .framework
#
-. $BOLTS_SCRIPT/build_framework.sh --with-watchos -c Release
+. $BOLTS_SCRIPT/build_framework.sh --with-watchos --with-tvos -c Release
cd $BOLTS_BUILD
-zip -r --symlinks $B... | bash |
d_bash_23992 | ---
+++
@@ -4,6 +4,7 @@
CAD_ZIP=figures/cad.zip
STL=figures/turbine.stl
+STL_Y_UP=figures/turbine-y-up.stl
# Download zip of CAD files if doesn't exist
if [ ! -f $CAD_ZIP ]
@@ -17,3 +18,9 @@
unzip -j $CAD_ZIP "UNH RM2 CAD package/Simplified/STL/turbine.STL" -d figures
mv figures/turbine.STL $STL
fi... | bash |
d_bash_23993 | ---
+++
@@ -1,4 +1,13 @@
#!/bin/bash
python3 setup.py develop
-./run_tests.sh
+
+echo "docker attach the tty in order to manage this"
+while true; do
+ echo "Run tests? [yn]" # can't use "read -p", no real tty
+ read yn
+ case $yn in
+ [Yy] ) ./run_tests.sh;continue;;
+ * ) exit;;
+ esac... | bash |
d_bash_23994 | ---
+++
@@ -1,11 +1,11 @@
#!/bin/sh
set -e
# Start StanfordCoreNLP server
-#cd bin/stanford-corenlp-full-2015-12-09
-#java -mx4g -cp "*" edu.stanford.nlp.pipeline.StanfordCoreNLPServer -port 9000 &
-#cd ../..
+cd bin/stanford-corenlp-full-2015-12-09
+java -mx4g -cp "*" edu.stanford.nlp.pipeline.StanfordCoreNLPServ... | bash |
d_bash_23995 | ---
+++
@@ -13,7 +13,7 @@
# See the License for the specific language governing permissions and
# limitations under the License.
-pip3 install numba==0.48 torch==1.5.1
+pip3 install numba==0.48 torch==1.4.0
pip3 install -r requirements.txt
sudo apt-get install -y libsndfile1
| bash |
d_bash_23996 | ---
+++
@@ -9,5 +9,5 @@
cargo build && \
cp target/debug/libremu_backend.so . -v && \
echo 'Everething is ok. Running bot now.' && \
- python3 remu.py --verbose;
+ RUST_BACKTRACE=1 python3 remu.py --verbose;
fi | bash |
d_bash_23997 | ---
+++
@@ -1,4 +1,5 @@
-conda create -n openmined python=3.6
-source activate openmined
+env_name=${1:-openmined}
+conda create -n $env_name python=3.6
+source activate $env_name
pip install -r requirements.txt
python setup.py install | bash |
d_bash_23998 | ---
+++
@@ -28,7 +28,11 @@
heroku pg:backups capture $DATABASE --app $APP
curl -o $BACKUP_FILE_NAME `heroku pg:backups:url --app $APP`
-gzip $BACKUP_FILE_NAME
-/tmp/aws/bin/aws s3 cp $BACKUP_FILE_NAME.gz s3://$S3_BUCKET_PATH/$APP/$DATABASE/$BACKUP_FILE_NAME.gz
+if [[ -z "$NOGZIP" ]]; then
+ gzip $BACKUP_FILE_NAM... | bash |
d_bash_23999 | ---
+++
@@ -8,3 +8,6 @@
export IRBRC="$HOME/.irbrc"
export GEM_EDITOR="$GIT_EDITOR"
+
+# Disable all Guard notifications
+export GUARD_NOTIFY='false' | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.